{
  "AbilityMixins": [
    {
      "$type": "AttachStateWithModifierMixin",
      "ConfigList": [
        {
          "AnimatorStateName": "Attack_Branch_02",
          "FrameCountHigh": 0,
          "FrameCountLow": 0,
          "IsLoop": false,
          "LayerIndex": 0,
          "MaxFrameCountHigh": true,
          "MaxFrameCountLow": false,
          "ModifierNameList": [
            "SignatureMaterialWeaponModifier",
            "SignatureLightWeaponModifier"
          ]
        },
        {
          "AnimatorStateName": "Attack_Branch_04",
          "FrameCountHigh": 0,
          "FrameCountLow": 0,
          "IsLoop": false,
          "LayerIndex": 0,
          "MaxFrameCountHigh": true,
          "MaxFrameCountLow": false,
          "ModifierNameList": [
            "SignatureMaterialWeaponModifier",
            "SignatureLightWeaponModifier"
          ]
        },
        {
          "AnimatorStateName": "Attack_Branch_04_Repeat",
          "FrameCountHigh": 0,
          "FrameCountLow": 0,
          "IsLoop": false,
          "LayerIndex": 0,
          "MaxFrameCountHigh": true,
          "MaxFrameCountLow": false,
          "ModifierNameList": [
            "SignatureMaterialWeaponModifier",
            "SignatureLightWeaponModifier"
          ]
        }
      ]
    }
  ],
  "AbilityName": "Ellen_SignatureWeapon",
  "AbilityStacking": "Unique",
  "DefaultModifier": {
    "OnTeamAvatarConstructed": [
      {
        "$type": "HandleAnimatorZoneTagsAction",
        "AnimatorStateTags": [
          "DefaultSkin"
        ],
        "IsAdd": true,
        "Predicates": [
          {
            "$type": "ByNot",
            "Predicates": [
              {
                "$type": "ByIsInZoneTags",
                "Tags": [
                  "EllenOnCampus"
                ],
                "Target": "Self"
              }
            ]
          }
        ],
        "Target": "Self"
      }
    ]
  },
  "Modifiers": {
    "SignatureLightWeaponModifier": {
      "Duration": -1,
      "ModifierStacking": "Unique",
      "OnAdded": [
        {
          "$type": "ApplyIndicatedLightAction",
          "Predicates": [
            {
              "$type": "ByIsInZoneTags",
              "Tags": [
                "HasSignatureWeapon"
              ],
              "Target": "Self"
            }
          ],
          "indicatedLightKey": "Ellen_IndicatedLight"
        }
      ],
      "OnRemoved": [
        {
          "$type": "RemoveIndicatedLightAction",
          "Target": "Self"
        }
      ]
    },
    "SignatureMaterialWeaponModifier": {
      "Duration": -1,
      "ModifierStacking": "Unique",
      "OnAdded": [
        {
          "$type": "ModifyMaterialPropertyAction",
          "ApplyAllRenderers": false,
          "Predicates": [
            {
              "$type": "ByIsInZoneTags",
              "Tags": [
                "HasSignatureWeapon"
              ],
              "Target": "Self"
            },
            {
              "$type": "ByNot",
              "Predicates": [
                {
                  "$type": "ByIsInZoneTags",
                  "Tags": [
                    "EllenOnCampus"
                  ],
                  "Target": "Self"
                }
              ]
            }
          ],
          "RendererList": [
            {
              "ApplyAllMaterials": true,
              "RenderPath": "Ellen_Body_2"
            }
          ],
          "Tag": "Avatar_Female_Size02_Ellen_MA_SignatureWeapon_SecondaryEmission_01",
          "Target": "Self",
          "key": "Avatar_Female_Size02_Ellen_MA_SignatureWeapon_SecondaryEmission_01"
        },
        {
          "$type": "ModifyMaterialPropertyAction",
          "ApplyAllRenderers": false,
          "Predicates": [
            {
              "$type": "ByIsInZoneTags",
              "Tags": [
                "HasSignatureWeapon"
              ],
              "Target": "Self"
            },
            {
              "$type": "ByIsInZoneTags",
              "Tags": [
                "EllenOnCampus"
              ],
              "Target": "Self"
            }
          ],
          "RendererList": [
            {
              "ApplyAllMaterials": true,
              "RenderPath": "EllenOnCampus_Body_2"
            }
          ],
          "Tag": "Avatar_Female_Size02_Ellen_MA_SignatureWeapon_SecondaryEmission_01",
          "Target": "Self",
          "key": "Avatar_Female_Size02_Ellen_MA_SignatureWeapon_SecondaryEmission_01"
        }
      ],
      "OnRemoved": [
        {
          "$type": "InterruptMaterialPropertyAction",
          "Tag": "Avatar_Female_Size02_Ellen_MA_SignatureWeapon_SecondaryEmission_01",
          "Target": "Self"
        }
      ]
    }
  }
}